# List invoice items Retrieves information about all items of invoices. Endpoint: GET /invoice_items Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorials for detailed instructions. - `sort[]` (array) A case-sensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. account_number.asc) or descending (e.g. account_number.desc). You cannot sort on properties that are arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, amount, booking_reference, applied_to_item_id, price_id, discount_item, deferred_revenue_account, description, invoice_id, sku, name, purchase_order_number, quantity, recognized_revenue_account, remaining_balance, revenue_recognition_rule_name, accounting_code, service_end, service_start, accounts_receivable_account, subscription_id, subscription_item_id, tax, tax_code, tax_inclusive, unit_amount, unit_of_measure, document_item_date Example: ["id,created_time"] - `taxation_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, amount, amount_exempt, tax_date, jurisdiction, location_code, name, sales_tax_payable_account, tax_code, tax_code_name, tax_rate, tax_rate_name, tax_inclusive, tax_rate_type, amount_credited, amount_paid, remaining_balance Example: ["id,created_time"] - `line_item.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, total, subtotal, quantity_fulfilled, quantity_pending_fulfillment, unit_of_measure, accounting_code, adjustment_liability_account, unit_amount, target_date, billing_rule, contract_asset_account, contract_liability_account, description, discount_total, revenue, discount_unit_amount, discount_percent, category, name, item_number, type, list_price, list_unit_price, original_order_date, original_order_id, original_order_line_item_id, original_order_line_item_number, original_order_number, product_code, price_id, purchase_order_number, quantity, quantity_available_for_return, related_subscription_number, requires_fulfillment, sold_to_id, original_sold_to_id, tax_code, tax_inclusive, end_date, start_date, unbilled_receivables_account, state, order_id Example: ["id,created_time"] - `invoice.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, state, balance, due_date, invoice_number, posted_by_id, state_transitions, description, account_id, total, subtotal, tax, paid, past_due, document_date, amount_paid, amount_refunded, payment_terms, bill_to_id, sold_to_id, billing_document_settings, currency Example: ["id,created_time"] - `invoice_item.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, amount, booking_reference, applied_to_item_id, price_id, discount_item, deferred_revenue_account, description, invoice_id, sku, name, purchase_order_number, quantity, recognized_revenue_account, remaining_balance, revenue_recognition_rule_name, accounting_code, service_end, service_start, accounts_receivable_account, subscription_id, subscription_item_id, tax, tax_code, tax_inclusive, unit_amount, unit_of_measure, document_item_date Example: ["id,created_time"] ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. - `zuora-org-ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Response 200 fields (application/json): - `next_page` (string,null) - `data` (array) - `data.id` (string) Unique identifier for the object. - `data.updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `data.updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `data.created_by_id` (string) Unique identifier of the Zuora user who created the object - `data.created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `data.custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `data.custom_objects` (object) The custom objects associated with a Zuora standard object. - `data.amount` (number) The total amount of this invoice item. - `data.description` (string) An arbitrary string associated with the object. Often useful for displaying to users. - `data.deferred_revenue_account` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. - `data.recognized_revenue_account` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `data.revenue_recognition_rule_name` (string) The name of the revenue recognition rule governing the revenue schedule. - `data.quantity` (number) The number of units of this item. - `data.service_end` (string) The end date of the service period associated with this invoice item. If the associated charge is a one-time fee, then this date is the date of that charge. - `data.accounts_receivable_account` (string) An active account in your Zuora Chart of Accounts. - `data.discount_item` (boolean) If true, indicates that the item is a discount item. - `data.applied_to_item_id` (string) Identifier of an invoice item or a debit memo item that this discount item or credit memo item is applied to. - `data.service_start` (string) The start date of the service period associated with this invoice item. If the associated charge is a one-time fee, then this date is the date of that charge. - `data.accounting_code` (string) - `data.invoice_id` (string) The identifier of the invoice associated with this invoice item. - `data.sku` (string) The unique SKU (stock keeping unit) of the product associated with this item. - `data.subscription_id` (string) The identifier of the subscription associated with the invoice item. - `data.tax_inclusive` (boolean) This specifies if the invoice item amount is inclusive or exclusive of tax. - `data.remaining_balance` (number) The remaining balance of this invoice item. - `data.unit_of_measure` (string) Specifies the units used to measure usage. - `data.unit_amount` (number) Unit amount (in the currency specified) of the invoice item. - `data.booking_reference` (string) The booking reference for this invoice item. - `data.name` (string) Name of the invoice item displayed to customers on billing documents. - `data.document_item_date` (string) The date and time when the invoice item was created in ISO 8601 UTC format. - `data.price_id` (string) The identifier of the price this invoice item is associated with. - `data.purchase_order_number` (string) The purchase order number associated with this invoice item. - `data.tax` (number) The amount of tax applied to the invoice item. - `data.tax_code` (string) The designated tax code. - `data.subscription_item_id` (string) The identifier the subscription item associated with this invoice item. - `data.taxation_items` (object) Information of the taxation items. - `data.invoice` (object) The invoice the item belongs to. EXPANDABLE - `data.invoice.account_id` (string) Identifier of the account that owns the invoice. - `data.invoice.due_date` (string) The date on which payment for the invoice is due. Example: "2023-01-01" - `data.invoice.document_date` (string) The date when the invoice takes effect. Example: "2023-01-01" - `data.invoice.transfer_to_accounting` (boolean) Whether to transfer to an external accounting system. - `data.invoice.amount_paid` (number) The amount paid for the invoice. Example: 1496.4 - `data.invoice.pay` (boolean) Indicates whether the invoice is automatically picked up for processing in the corresponding payment run. - `data.invoice.currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `data.invoice.invoice_number` (string) A human-readable identifier for the invoice; may be user-supplied. - `data.invoice.state_transitions` (object) - `data.invoice.state_transitions.posted_time` (string) - `data.invoice.state_transitions.canceled_time` (string) - `data.invoice.posted_by_id` (string) Identifier of the Zuora user who posted the invoice. - `data.invoice.state` (string) The status of the invoice. Enum: "draft", "posted", "open", "canceled", "failed" - `data.invoice.account` (object) The account that owns the invoice. EXPANDABLE - `data.invoice.account.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `data.invoice.account.billing_document_settings` (object) Billing document settings for an account - `data.invoice.account.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `data.invoice.account.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `data.invoice.account.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `data.invoice.account.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `data.invoice.account.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `data.invoice.account.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `data.invoice.account.batch` (string) The identifier of a bill run batch. - `data.invoice.account.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `data.invoice.account.bill_to` (object) Customer billing address. - `data.invoice.account.bill_to.address` (object) Container for the address informtion. - `data.invoice.account.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `data.invoice.account.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `data.invoice.account.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `data.invoice.account.bill_to.address.state` (string) State or providence Example: "GA" - `data.invoice.account.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `data.invoice.account.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `data.invoice.account.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `data.invoice.account.bill_to.first_name` (string) Customer first name. Example: "Amy" - `data.invoice.account.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `data.invoice.account.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `data.invoice.account.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `data.invoice.account.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `data.invoice.account.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `data.invoice.account.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `data.invoice.account.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `data.invoice.account.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `data.invoice.account.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `data.invoice.account.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `data.invoice.account.bill_to.fax` (string) The contact's fax number. - `data.invoice.account.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.invoice.account.sold_to` (object) Customer address used for calculating tax. - `data.invoice.account.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `data.invoice.account.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `data.invoice.account.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `data.invoice.account.name` (string) The name of the customer account. Example: "test account" - `data.invoice.account.description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `data.invoice.account.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `data.invoice.account.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `data.invoice.account.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `data.invoice.account.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `data.invoice.account.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `data.invoice.account.tax_certificate` (object) The tax certificate information. - `data.invoice.account.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `data.invoice.account.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `data.invoice.account.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `data.invoice.account.tax_certificate.description` (string) Description of the tax exemption certificate. - `data.invoice.account.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `data.invoice.account.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `data.invoice.account.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `data.invoice.account.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `data.invoice.account.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `data.invoice.account.tax_identifier` (object) An object that contains the VAT Identification number. - `data.invoice.account.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `data.invoice.account.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `data.invoice.account.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `data.invoice.account.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `data.invoice.account.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `data.invoice.account.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `data.invoice.account.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `data.invoice.account.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `data.invoice.account.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.invoice.account.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `data.invoice.account.default_payment_method` (object) The default payment method for the customer. - `data.invoice.account.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `data.invoice.account.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `data.invoice.account.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.invoice.account.default_payment_method.account` (object) The customer account associated with this payment method. - `data.invoice.account.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `data.invoice.account.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `data.invoice.account.default_payment_method.billing_details.address` (object) Address information used in billing details. - `data.invoice.account.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `data.invoice.account.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `data.invoice.account.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `data.invoice.account.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `data.invoice.account.default_payment_method.device_session_id` (string) - `data.invoice.account.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `data.invoice.account.default_payment_method.bank_identification_number` (string) - `data.invoice.account.default_payment_method.card` (object) Credit card information. - `data.invoice.account.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `data.invoice.account.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `data.invoice.account.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `data.invoice.account.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `data.invoice.account.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `data.invoice.account.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `data.invoice.account.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `data.invoice.account.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `data.invoice.account.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `data.invoice.account.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `data.invoice.account.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `data.invoice.account.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `data.invoice.account.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `data.invoice.account.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `data.invoice.account.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `data.invoice.account.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `data.invoice.account.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `data.invoice.account.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `data.invoice.account.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `data.invoice.account.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.invoice.account.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `data.invoice.account.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `data.invoice.account.default_payment_method.cc_ref.card` (object) - `data.invoice.account.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.invoice.account.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `data.invoice.account.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `data.invoice.account.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.invoice.account.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `data.invoice.account.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `data.invoice.account.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `data.invoice.account.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `data.invoice.account.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `data.invoice.account.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `data.invoice.account.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `data.invoice.account.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `data.invoice.account.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `data.invoice.account.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `data.invoice.account.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `data.invoice.account.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `data.invoice.account.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `data.invoice.account.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `data.invoice.account.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `data.invoice.account.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `data.invoice.account.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `data.invoice.account.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `data.invoice.account.default_payment_method.auto_generated` (boolean) - `data.invoice.account.default_payment_method.use_default_retry_rule` (boolean) - `data.invoice.account.default_payment_method.existing_mandate` (boolean) - `data.invoice.account.default_payment_method.last_failed_sale_transaction_time` (string) - `data.invoice.account.default_payment_method.last_transaction_time` (string) - `data.invoice.account.default_payment_method.last_transaction_status` (string) - `data.invoice.account.default_payment_method.number_of_consecutive_failures` (integer) - `data.invoice.account.default_payment_method.total_number_of_processed_payments` (integer) - `data.invoice.account.default_payment_method.total_number_of_error_payments` (integer) - `data.invoice.account.billing_documents` (object) List of customer billing documents. - `data.invoice.account.payments` (object) List of customer payments. - `data.invoice.account.payment_methods` (object) List of customer payment methods. - `data.invoice.account.subscriptions` (object) List of customer subscriptions. - `data.invoice.account.usage_records` (object) List of customer usages. - `data.invoice.account.credit_memos` (object) List of credit memo - `data.invoice.account.debit_memos` (object) List of debit memo - `data.invoice.account.invoices` (object) List of invoices - `data.invoice.items` (object) List of invoice items. - `data.invoice.total` (number) The total amount. - `data.invoice.subtotal` (number) The total amount exclusive of tax. - `data.invoice.tax` (number) The total tax amount. - `data.invoice.remaining_balance` (number) The total balance remaining. - `data.invoice.paid` (boolean) Whether payment was successfully collected for this invoice. An invoice can be paid with a payment or a credit memo. - `data.invoice.past_due` (boolean) Whether payment is past due. - `data.invoice.bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.invoice.payment_terms` (string,null) The name of payment term associated with the invoice. - `data.invoice.bill_to` (object) The billing address for the customer. - `data.invoice.billing_document_settings` (object) The billing document settings for the customer. - `data.invoice.billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `data.invoice.billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `data.invoice.sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.invoice.sold_to` (object) The selling address for the customer. - `data.invoice.balance` (number) The total balance remaining. This field is deprecated. Use remaining_balance field. - `data.line_item` (object) The order line item associated with this invoice item. EXPANDABLE - `data.line_item.unit_of_measure` (string) A configured unit of measure. This field is required for per-unit prices. - `data.line_item.unit_amount` (number) The unit amount of the price. Specify this field if you want to override the original price with a per-unit price. - `data.line_item.target_date` (string) The target date for the order line item to be picked up by bill run for billing. - `data.line_item.deferred_revenue_account` (string) An active accounting code in your Zuora chart of accounts. - `data.line_item.revenue` (object) Accounting configuration if you have Zuora Revenue enabled. - `data.line_item.revenue.exclude_item_billing_from_revenue_accounting` (boolean) If set to true, any associated billing document items are excluded from the revenue accounting. - `data.line_item.revenue.exclude_item_booking_from_revenue_accounting` (boolean) If set to true, any associated subscription items are excluded from the revenue accounting. - `data.line_item.discount_unit_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `data.line_item.discount_percent` (number) Discount percent. Specify this field if you offer a percentage-based discount. - `data.line_item.category` (string) The category for the order line item, to indicate a product sale or return. Enum: "sale", "return" - `data.line_item.state` (string) The state of an order line item. If you want to generate billing documents for order line items, you must set this field to sent_to_billing. For invoice preview, you do not need to set this field. Enum: "pending", "booked", "sent_to_billing", "complete", "canceled" - `data.line_item.type` (string) The type of the order line item. - `data.line_item.name` (string) Name of the order line item - `data.line_item.item_number` (string) Human-readable identifier of the order item. It can be user-supplied. - `data.line_item.list_unit_price` (number) The list price per unit for the order line item. - `data.line_item.product_code` (string) The product code for the order line item. - `data.line_item.price_id` (string) Identifier of the price. - `data.line_item.purchase_order_number` (string) Used by customers to specify the Purchase Order Number provided by the buyer. - `data.line_item.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. - `data.line_item.recognized_revenue_account` (string) An active accounting code in your Zuora chart of accounts. - `data.line_item.revenue_recognition_rule_name` (string) The revenue recognition rule for the order line item. - `data.line_item.tax_code` (string) A tax code identifier. If a tax_code of a price is not provided when you create or update a price, Zuora will treat the charged amount as non-taxable. If this code is provide, Zuora considers that this price is taxable and the charged amount will be handled accordingly. - `data.line_item.tax_inclusive` (boolean) If this field is set to true, it indicates that amounts are inclusive of tax. - `data.line_item.start_date` (string) The date a transaction starts. The default value of this field is the order date. Example: "2022-01-01" - `data.line_item.end_date` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the start_date field. Example: "2022-01-01" - `data.line_item.invoice_items` (object) List of invoice items. EXPANDABLE - `data.line_item.related_subscription_number` (string) Use this field to relate an order line item to an subscription. Specify this field to the subscription number of the subscription to relate. - `data.line_item.billing_rule` (string) The billing rule for the Order Line Item. Enum: "trigger_without_fulfillment", "trigger_on_fulfillment" - `data.line_item.total` (string) The total amount, including the total tax amount. - `data.line_item.original_order_date` (string) The date when the subscription item is created through an order. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. Example: "2022-01-01" - `data.line_item.accounting_code` (string) The accounting code for the order line item. - `data.line_item.adjustment_liability_account` (string) The accounting code on the Order Line Item object for customers using Zuora Billing - Revenue Integration. - `data.line_item.adjustment_revenue_account` (string,null) The accounting code on the Order Line Item object for customers using Zuora Billing - Revenue Integration. - `data.line_item.discount_total` (string) The total discount amount. - `data.line_item.list_price` (string) The extended list price for an order line item, calculated by the formula: listPrice = listPricePerUnit * quantity - `data.line_item.original_sold_to_id` (string) The ID of a contact that belongs to the billing account of the order line item. Use this field to assign an existing account as the sold-to contact of an order line item. - `data.line_item.unbilled_receivables_account` (string) The accounting code on the Order Line Item object for customers using Zuora Billing - Revenue Integration. - `data.subscription` (object) List of customer subscriptions. - `data.subscription.subscription_number` (string) Human-readable identifier of the subscription. It can be user-supplied. - `data.subscription.state` (string) Status of the subscription. Enum: "draft", "pending_activation", "pending_acceptance", "active", "expired", "canceled", "paused" - `data.subscription.version` (integer) The version of the subscription. This version can be used in the filter[] query parameter to filter subscriptions. - `data.subscription.account_id` (string) Identifier of the account associated with this subscription. - `data.subscription.account` (object) Information of the new account associated with the subscription. - `data.subscription.invoice_owner_account_id` (string) Identifier of the account that owns the invoice associated with this subscription. - `data.subscription.invoice_owner_account` (object) Identifier of the account that owns the subscription. - `data.subscription.auto_renew` (boolean) If this field is set to true, the subscription automatically renews at the end of the current term. - `data.subscription.latest_version` (boolean) If true, this is the latest version of the subscription - `data.subscription.initial_term` (object) Initial term information for the subscription. - `data.subscription.initial_term.interval_count` (integer) The number of intervals in a term. For example, interval=year and interval_count=1 represents a 1 year term. - `data.subscription.initial_term.interval` (string) Unit in which term duration is defined. One of day, week, month or year. Enum: "day", "week", "month", "year" - `data.subscription.initial_term.start_date` (string) Date when the subscription term starts. Example: "2020-01-01" - `data.subscription.initial_term.type` (string) Type of the subscription. Can be either termed or evergreen. Enum: "evergreen", "termed" - `data.subscription.initial_term.end_date` (string) Date when the subscription term ends. Example: "2023-01-01" - `data.subscription.current_term` (object) Current term information for the subscription - `data.subscription.renewal_term` (object) Renewal term information for the subscription. - `data.subscription.start_date` (string) Date when the subscription starts. Example: "2020-01-01" - `data.subscription.end_date` (string) Date when the subscription ends. Example: "2023-01-01" - `data.subscription.description` (string) Description of the subscription. Often useful for displaying to users. - `data.subscription.contract_effective` (string) Date when the subscriber contract is effective. Example: "2023-01-01" - `data.subscription.service_activation` (string) Date when the subscribed-to service is activated. Example: "2023-01-01" - `data.subscription.customer_acceptance` (string) Date when all the services or products in the subscription are accepted by the subscriber. Example: "2023-01-01" - `data.subscription.invoice_separately` (boolean) If true, the subscription is billed separately from other subscriptions. If false, the subscription is included with other subscriptions in the account invoice. The default is false. - `data.subscription.order_number` (string) The order number of the order created by Zuora. - `data.subscription.subscription_plans` (object) List of subscription plans. - `data.subscription.invoice_items` (object) List of invoice items. - `data.subscription.prepaid_balances` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. - `data.subscription.prepaid_balances.validity_periods` (array) An array of prepaid balance validity periods - `data.subscription.prepaid_balances.validity_periods.prepaid_UOM` (string) Unit of measure for the prepaid balance. - `data.subscription.prepaid_balances.validity_periods.start_date` (string) Start date of the fund effective period. Example: "2022-01-01" - `data.subscription.prepaid_balances.validity_periods.end_date` (string) End date of the fund effective period. Example: "2023-01-01" - `data.subscription.prepaid_balances.validity_periods.total_balance` (number) The funded balance, which is the total units of the fund. - `data.subscription.prepaid_balances.validity_periods.remaining_balance` (number) Remaining balance on the fund, which is the remaining units of the fund. - `data.subscription.prepaid_balances.validity_periods.overage_rated_amount` (number) - `data.subscription.prepaid_balances.validity_periods.overage_rated_quantity` (number) - `data.subscription.prepaid_balances.validity_periods.transactions` (array) An array of prepaid balance transactions for a specific validity period - `data.subscription.prepaid_balances.validity_periods.transactions.transaction_date` (string) Date on which the transaction occurs. - `data.subscription.prepaid_balances.validity_periods.transactions.type` (string) An action that increases or decreases its associated prepaid balance. Enum: "prepayment", "drawdown" - `data.subscription.prepaid_balances.validity_periods.transactions.quantity` (number) Quantity of the prepaid balance transaction. - `data.subscription.contracted_mrr` (string) Monthly recurring revenue of the subscription. - `data.subscription.cancel_reason` (string) The reason for cancelling the subscription. - `data.subscription.last_booking_date` (string) The last booking date of the subscription object. You can override the date value when creating a subscription through the "Subscribe and Amend" API. The default value today is set per the user's timezone. The value of this field is as follows: For a new subscription created by the [Subscribe and Amend](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate) APIs, this field has the value of the subscription creation date. For a subscription changed by an amendment, this field has the value of the amendment booking date. For a subscription created or changed by an order, this field has the value of the order date. Example: "2023-01-01" - `data.subscription.prepaid_balance` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. Deprecated, please use prepaid_balances instead. - `data.subscription.prepaid_balance.transactions` (array) An array of prepaid balance transactions - `data.subscription_item` (object) The expandable subscription item associated with this billing document item. - `data.subscription_item.subscription_item_number` (string) Human-readable identifier of the subscription item. It can be user-supplied. - `data.subscription_item.name` (string) The name of the subscription item. - `data.subscription_item.product_id` (string) Identifier of the product with which this subscription is associated. - `data.subscription_item.charged_through_date` (string) The date through which a customer has been billed for the subscription item. - `data.subscription_item.recurring` (object) The recurring components of a price such as interval and usage. - `data.subscription_item.recurring.recurring_on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `data.subscription_item.recurring.usage` (boolean) Indicates that this is a usage price. - `data.subscription_item.recurring.interval` (string) Specifies the billing frequency. One of week, month or year. Enum: "month", "year", "week", "term", "day" - `data.subscription_item.recurring.interval_count` (integer) The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and intervalCount=3 bills every 3 months. - `data.subscription_item.recurring.alignment_behavior` (string) Specifies how to align billing for recurring (subscription) products that start on different days. Enum: "subscription_start", "term_start", "term_end", "none" - `data.subscription_item.recurring.timing` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. Enum: "in_advance", "in_arrears" - `data.subscription_item.recurring.formula` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. - `data.subscription_item.recurring.duration_interval` (string) Specifies the duration frequency. One of day, week, month or year. Enum: "day", "week", "month", "year", "subscription_term", "billing_period" - `data.subscription_item.recurring.duration_interval_count` (integer) Specifies how long a customer shall be charged if this is less than the duration of the subscription - `data.subscription_item.recurring.rating_group` (string) A rating group based on which usage records are rated. Only applicable to usage prices. Enum: "billing_period", "usage_start_date", "usage_record", "usage_upload", "custom_group" - `data.subscription_item.recurring.on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `data.subscription_item.active` (boolean) Indicates whether the price is active and can be used for new purchases. - `data.subscription_item.state` (string) Based on the current date to populate a state field with the enumeration: [inactive, active, expired] where inactive would represent charge segments with a start_date in the future and expired charge segments with an end_date in the past. Enum: "inactive", "active", "expired" - `data.subscription_item.start_event` (string) Specifies when to start billing your customer. Enum: "contract_effective", "service_activation", "customer_acceptance", "specific_date" - `data.subscription_item.tiers_mode` (string) Specifies the kind of tiering. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `data.subscription_item.tiers` (array) - `data.subscription_item.tiers.up_to` (number) Specifies the upper bound of the tier. The lower bound of a tier is the upper bound of the previous tier plus one. - `data.subscription_item.tiers.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price. - `data.subscription_item.tax_code` (string) A tax code identifier. If the tax_code of a price is not provided when you create or override a price, Zuora will treat the charged amount as non-taxable. If this code is provide, Zuora considers that this price is taxable and the charged amount will be handled accordingly. - `data.subscription_item.quantity` (number) Quantity of the product to which your customers subscribe. - `data.subscription_item.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price - `data.subscription_item.discount_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `data.subscription_item.apply_discount_to` (array) Any combination of one_time, recurring and plan. Enum: "one_time", "recurring", "usage" - `data.subscription_item.discount_level` (string) Specifies at what level a discount should be applied: one of account, subscription or plan. Enum: "account", "subscription", "plan" - `data.subscription_item.price_base_interval` (string) Specifies the base interval of the price the subscriber is subscribed to. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `data.subscription_item.overage` (object) An object defining how overage charges are calculated. - `data.subscription_item.overage.interval_count` (integer) Specifies the number of intervals used to calculate smoothed overage charges. - `data.subscription_item.overage.type` (string) Represents the overage type: one of rolling_window or rollover. Enum: "rolling_window", "rollover" - `data.subscription_item.overage.included_units` (number) Specifies the included units to which overage charges do not apply. - `data.subscription_item.overage.credit_unused_units` (boolean) Specifies whether or not to credit unused units. - `data.subscription_item.overage.apply_at_end_of_smoothing_period` (boolean) Indicates if the overage price is calculated at the end of the smoothing period. - `data.subscription_item.charge_model` (string) Charge model of the price. See [Charge models](https://knowledgecenter.zuora.com/Billing/Subscriptions/Product_Catalog/B_Charge_Models) for more information. - `data.subscription_item.charge_type` (string) Type of the charge. It can be one of the following types: one-time, recurring, or usage. - `data.subscription_item.price` (object) Price information. - `data.subscription_item.price.name` (string) The name of the price. - `data.subscription_item.price.recognized_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `data.subscription_item.price.deferred_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `data.subscription_item.price.tiers` (array) Price information for different tiers. When creating or updating tiered prices, you must specify this field and the tiers_mode field. - `data.subscription_item.price.tiers.up_to` (number) The upper bound of a tier. The lower bound of a tier is the upper bound of the previous tier plus one or some fraction of one, depending on the precision of the unit of measure. - `data.subscription_item.price.tiers.amounts` (object) Prices for the tier. Only set if charge_model is tiered, tiered_overage, or highwatermark_tiered. Example: {"USD":10,"GBP":15} - `data.subscription_item.price.tiers.unit_amounts` (object) Per unit prices for units in the tier. Only set if charge_model is tiered, tiered_overage, or highwatermark_tiered. Example: {"USD":10,"GBP":15} - `data.subscription_item.price.min_quantity` (number) The minimum quantity for a price. Specify this field and the max_quantity field to create a range of quantities allowed in a price. - `data.subscription_item.price.max_quantity` (number) The maximum quantity for a price. Specify this field and the min_quantity field to create a range of quantities allowed in a price. - `data.subscription_item.price.discount_level` (string) Specifies at what level a discount should be applied: account, subscription, or plan. Enum: "account", "subscription", "plan" - `data.subscription_item.price.revenue_recognition_rule` (string) Determines when to recognize the revenue for this charge. You can choose to recognize upon invoicing or daily over time. - `data.subscription_item.price.stacked_discount` (boolean) This field is only applicable for the Percentage Discount price. This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows: true: This is a stacked discount, which should be calculated by stacking with other discounts. false: This is not a stacked discount, which should be calculated in sequence with other discounts. For more information, see Stacked discounts - `data.subscription_item.price.amounts` (object) Example: {"USD":10,"GBP":15} - `data.subscription_item.price.unit_amounts` (object) Example: {"USD":10,"GBP":15} - `data.subscription_item.price.discount_amounts` (object) Example: {"USD":10,"GBP":15} - `data.subscription_item.price.price_base_interval` (string) Specifies the base interval of a price. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `data.subscription_item.price.accounting_code` (string) An active accounting code defined in Finance Settings > Configure Accounting Codes in your Zuora tenant. - `data.subscription_item.price.prepayment` (object) - `data.subscription_item.price.prepayment.credit_option` (string) The way to calculate credit. See Credit Option for more information. Enum: "time_based", "consumption_based", "full_credit" - `data.subscription_item.price.prepayment.quantity` (number) The number of units included in a prepayment charge. - `data.subscription_item.price.prepayment.total_quantity` (number) The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge. - `data.subscription_item.price.prepayment.validity_period` (string) The period in which the prepayment units are valid to use as defined in a prepayment charge. Enum: "subscription_term", "annual", "semi_annual", "quarter", "month" - `data.subscription_item.price.drawdown` (object) - `data.subscription_item.price.drawdown.conversion_rate` (number) The conversion rate between usage unit of measure (UOM) and drawdown unit of measure for a drawdown charge. Note: Must be a positive number (>0). Must be 1 when usage UOM and drawdown UOM are the same. If both conversion_rate and unit_of_measure for the drawdown are empty, the system will set default values respectively: conversion_rate: 1 unit_of_measure: Same as the usage UOM of this drawdown charge. The conversion_rate and unit_of_measure fields need to have values or be empty at the same time. - `data.subscription_item.price.drawdown.unit_of_measure` (string) Unit of measurement for a drawdown charge. - `data.subscription_item.price.taxable` (boolean) - `data.subscription_item.price.price_change_percentage` (number) The percentage to increase or decrease the price of a termed subscription's renewal. - `data.subscription_item.price.price_change_option` (string) Applies an automatic price change when a termed subscription is renewed. Enum: "latest_catalog_pricing", "percentage", "none" - `data.subscription_item.price.price_increase_option` (boolean) Indicates whether to apply an automatic price change when a termed subscription is renewed. - `data.subscription_item.price.plan_id` (string) Specify the ID of a plan to which this price is associated. - `data.subscription_item.price.plan_number` (string) Specify the number of a plan to which this price is associated. This field is required if plan_id is not supplied - `data.subscription_item.price.charge_type` (string) The type of charge. Can be one_time,recurring, or usage. - `data.subscription_item.price.charge_model` (string) The charge model of the price, which determines how users are charged. Common charge models include flat fee, per-unit, volume, and tiered prices. - `data.subscription_item.price.tiers_mode` (string) Specifies the mode for tiered prices. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `data.subscription_item.price.active` (boolean) Whether the price can be used for new purchases. - `data.subscription_item.subscription_plan_id` (string) Identifier of the subscription plan this subscription item belongs to. - `data.subscription_item.subscription_plan` (object) Subscription plan information. - `data.subscription_item.subscription_plan.subscription` (object) The subscription to which this subscription plan belongs. - `data.subscription_item.subscription_plan.subscription_id` (string) Identifier of the subscription this subscription plan belongs to. - `data.subscription_item.subscription_plan.product_id` (string) Identifier of the product associated with this subscription plan. - `data.subscription_item.subscription_plan.plan_id` (string) Identifier of the plan associated with this subscription plan. - `data.subscription_item.subscription_plan.plan` (object) The plan object associated with this subscription plan. - `data.subscription_item.subscription_plan.plan.start_date` (string) The date from which the plan can be used for new purchases. - `data.subscription_item.subscription_plan.plan.end_date` (string) The date on which the plan can no longer be used for new purchases. - `data.subscription_item.subscription_plan.plan.name` (string) The name of the plan. - `data.subscription_item.subscription_plan.plan.plan_number` (string) Human-readable identifier of the plan. It can be user-supplied. - `data.subscription_item.subscription_plan.plan.active_currencies` (array) A list of 3-letter ISO-standard currency codes representing active currencies for the plan. - `data.subscription_item.subscription_plan.plan.product_id` (string) Identifier of the product associated with this plan. - `data.subscription_item.subscription_plan.plan.active` (boolean) Whether the plan can be used for new purchases. - `data.subscription_item.subscription_plan.plan.product` (object) The product associated with this plan. - `data.subscription_item.subscription_plan.plan.product.start_date` (string) The date from which the product can be used for new purchases. - `data.subscription_item.subscription_plan.plan.product.end_date` (string) The date on which the product can no longer be used for new purchases. - `data.subscription_item.subscription_plan.plan.product.name` (string) The name of the product. - `data.subscription_item.subscription_plan.plan.product.type` (string) The type of product. Enum: "base", "add_on", "other" - `data.subscription_item.subscription_plan.plan.product.sku` (string) The sku identifier of the product. - `data.subscription_item.subscription_plan.plan.product.active` (boolean) Whether the product can be used for new purchases. - `data.subscription_item.subscription_plan.plan.product.plans` (object) A list of plans. - `data.subscription_item.subscription_plan.plan.sku` (string) The product sku. This field is only availble for customers using high speed cache. - `data.subscription_item.subscription_plan.plan.prices` (object) A list of prices. - `data.subscription_item.subscription_plan.product` (object) The product associated with the subscription plan. - `data.subscription_item.subscription_plan.name` (string) The name of the subscription plan. - `data.subscription_item.subscription_plan.subscription_items` (object) List of subscription items. - `data.subscription_item.subscription_plan.subscription_plan_number` (string) Human-readable number of the subscription plan. - `data.subscription_item.start_date` (string) The date when the subscription item starts. - `data.subscription_item.end_date` (string) The date when the subscription item ends. - `data.subscription_item.processed_through_date` (string) The date until when charges are processed. When billing takes place in arrears, such as usage-based prices, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)